/* Freecam color palette based on our logo color (hue 194°) */

[data-md-color-primary=freecam] {
    --md-primary-fg-color: hsl(194, 100%, 28%);
    --md-primary-fg-color--light: hsl(194, 85%, 40%);
    --md-primary-fg-color--dark: hsl(194, 100%, 20%);
    --md-primary-fg-color--transparent: hsla(194, 100%, 28%, 0.1);

    --md-primary-bg-color: #fff;
    --md-primary-bg-color--light: hsla(0, 0%, 100%, 0.7);
}

/* Dark-mode theme */
[data-md-color-scheme=slate] {
    --md-hue: 194;

    &[data-md-color-primary=freecam] {
        --md-primary-fg-color: hsl(194, 90%, 42%);
        --md-primary-fg-color--light: hsl(194, 90%, 55%);
        --md-primary-fg-color--dark: hsl(194, 90%, 32%);
    }
}
